> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a transaction simulation

> Simulate a transaction to get the interests and payment dates for given customer and amount

<RequestExample>
  ```bash Request theme={null}
  curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/simulation' \
  --header 'Authorization: <your_awesome_token>' \
  --header 'Content-Type: application/json' \
  --data '{
      "cornerStoreId": "39c6ff9e-95ce-4dc2-82f6-bb71022a73ef",
      "totalAmount": 10000
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "totalAmountWithInterests": "10464.00",
      "interests": "464.00",
      "IVAAmount": "64.00",
      "paymentDate": "2024-08-14T00:07:09.793Z",
      "paymentDateString": "13/08/2024",
      "cornerStoreId": "39c6ff9e-95ce-4dc2-82f6-bb71022a73ef",
      "daysToPayment": 15
  }
  ```
</ResponseExample>

## Body

<ParamField body="cornerStoreId" type="string" required>
  Propaga's corner store id
</ParamField>

<ParamField body="totalAmount" type="number" required>
  Total amount of the order
</ParamField>

## Response

<ResponseField name="totalAmountWithInterests" type="number">
  Transaction's total amount with interests
</ResponseField>

<ResponseField name="interests" type="number">
  Interests for the transaction
</ResponseField>

<ResponseField name="IVAAmount" type="number">
  IVA amount for the transaction
</ResponseField>

<ResponseField name="paymentDate" type="string">
  Payment date for the transaction
</ResponseField>

<ResponseField name="cornerStoreId" type="string">
  Propaga's corner store id
</ResponseField>

<ResponseField name="daysToPayment" type="string">
  Days to payment date
</ResponseField>
